=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite:native,
-               libqt5x11extras5-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libx11-dev,
                libxcb-keysyms1-dev,
                libxcb1-dev,
                libxrender-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.9.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem.git
 
 Package: libkf5windowsystem-data
 Architecture: all
@@ -39,10 +39,10 @@
  This package contains the translations.
 
 Package: libkf5windowsystem-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5windowsystem5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5windowsystem-doc (= ${source:Version})
@@ -53,11 +53,19 @@
  lowlevel classes.
  .
  Contains development files for kwindowsystem.
+Breaks: libkf5crash-dev (<< 5.54),
+        libkf5kdelibs4support-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5plasma-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54),
+        libkf5textwidgets-dev (<< 5.54),
+        libkf5wallet-dev (<< 5.54),
+        libkf5xmlgui-dev (<< 5.54),
 
 Package: libkf5windowsystem-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Convenience access to certain properties and features of the window manager
  The class KWindowSystem provides information about the state of the
@@ -66,6 +74,7 @@
  low level classes.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5windowsystem5
 Architecture: any
@@ -74,10 +83,28 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: kwayland-integration, qtwayland5
-Breaks: libkf5globalaccelprivate5 (<< 5.42),
-        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Convenience access to certain properties and features of the window manager
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them
  using a more high-level interface than the NETWinInfo/NETRootInfo
  low level classes.
+Breaks: kinit (<< 5.54),
+        kio (<< 5.54),
+        libkf5crash5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.54),
+        libkf5globalaccelprivate5 (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5wallet5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-kwindowsystem (<< 5.54),
