## kwindowsystem 5.56.0

=== debian/changelog ===
kwindowsystem (5.56.0-0ubuntu2) disco; urgency=medium

  * Skip kwindowinfox11test rather than trying to patch it every time it
    breaks. This is test is regularly broken upstream, and we are
    wasting effort here.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 02 Apr 2019 23:26:48 +0100

kwindowsystem (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:48 +0000

kwindowsystem (5.55.0-0ubuntu2) disco; urgency=medium

  * debian/patches: Drop fix_netrootinfotestwm.diff
    - From LXD test runs, seems fixed upstream and this patch now
      causes a regression.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Feb 2019 10:54:40 +0000

kwindowsystem (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * Update patch fix_netrootinfotestwm.diff

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:15 +0000

kwindowsystem (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:34 +0000

kwindowsystem (5.53.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Refresh patches.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:07 +0000

kwindowsystem (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kwindowsystem.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:29 +0000

kwindowsystem (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:11:49 +0000
