## kwindowsystem 5.62.0

=== debian/changelog ===
kwindowsystem (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file with the logs of buildds.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove unused ${shlibs:Depends} substvar for libkf5windowsystem-dev.
  * Remove the libkf5windowsystem5-data breaks/replaces for
    libkf5windowsystem-data, as the rename was done even before oldstable.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the migration from libkf5windowsystem5-dbg, no more needed after two
    Debian stable releases.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch kwindowinfox11test-Skip-SkipSwitcher-test.patch, no more
      needed now
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Sep 2019 08:35:22 +0200

kwindowsystem (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Disable autopkgtest
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:15 -0700

kwindowsystem (5.61.0-1) experimental; urgency=medium

  * New revision
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Move qdebug logging categories files.
  * Drop upstream applied patch: netrootinfotestwm-testsupported-needs-to-also-count-skipS.patch
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Add missing version to maintscript
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:03 +0100
