=== debian/changelog ===
kwindowsystem (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:48 +0000

kwindowsystem (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:34 +0000

kwindowsystem (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:23 +0000

kwindowsystem (5.65.0-0ubuntu2) focal; urgency=medium

  * Build depend on libxfixes-dev and libxcb-xfixes0-dev explicitly to prevent
    FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 23 Dec 2019 11:48:13 +0000

kwindowsystem (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:27 +0000

kwindowsystem (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:38 +0000

kwindowsystem (5.62.0-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages
  * Drop all patches, as they only fixed or disabled tests.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2019 11:36:56 +0000

kwindowsystem (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.
  * Drop all unused patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:03 +0100

kwindowsystem (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Add libxcb-icccm4-dev and libxcb-res0-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:43 +0100

kwindowsystem (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:11 +0100

kwindowsystem (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:20 +0100

kwindowsystem (5.58.0-0ubuntu2) eoan; urgency=medium

  * For now, stop running upstream tests that break in new ways on
    nearly every release.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 May 2019 10:33:11 +0100

kwindowsystem (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:30 +0100

kwindowsystem (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:04 +0100
