=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF
 
+override_dh_strip:
+	dh_strip --dbgsym-migration='libkf5windowsystem5-dbg (<= 5.19.0-1~~)'
+
 override_dh_auto_test:
 	# Disable auto tests at build time
 	:
